site_name: Serti Lab
site_url: https://serti.fun/
site_description: Документации
site_author: Kurnesay

theme:
  name: material
  features:
    - navigation.tabs
    - navigation.sessions
    - navigation.expand
    - navigation.instant
    - navigation.trcking
    - toc.integrate
    - content.code.copy
    - content.code.annotate
  palette:
    # Светлая тема
    - scheme: default
      primary: teal
      accent: deep orange
      toggle:
        icon: material/weather-sunny
        name: Переключиться на темную тему
    # Тёмная тема
    - scheme: slate
      primary: teal
      accent: deep orange
      toggle:
        icon: material/weather-night
        name: Периключить на светлую тему

plugins:
  - search
  - git-revision-date-localized
  - glightbox
  - blog
    

nav:
  - "Главная": index.md
  - Документации:
      - 'Docker':
          'О проекте': docs/docker/about.md
          'Установка': docs/docker/install.md
          #'Команды': docs/docker/commands.md
          'Запуск контейнеров': docs/docker/run_container.md
      - 'Apache guacamole':
          - 'О проекте': docs/guacamole/about.md
          - 'Установка': docs/guacamole/install.md
      - 'Steam Deck': 
        - "Снятие Read Only с корневого раздела": docs/steam-deck/disable-read-only.md
        - "Обновление сетификатов реп Pacman": docs/steam-deck/upgrade-pgp-pacman.md
  - Сервисы: services.md
  - Мои сервера: server.md
  #- Блог:
  #  - Привет: blog/hi.md
  #  - 2026:
  #    - Январь:
  #      #- "01 Создание блога": blog/2026/create-blog.md
  #      - "01 Дифицит комплектующих ПК": blog/2026/ai-and-me.md

extra:
  social:
    - icon: fontawesome/solid/envelope
      link: mailto:kurnesay@disroot.org
    - icon: fontawesome/brands/git-alt
      link: https://git.serti.fun/Kurnesay/serti-docs/src/branch/main
    - icon: fontawesome/brands/telegram
      link: https://t.me/Kurnesay
    - icon: fontawesome/brands/discord
      link: https://discordapp.com/users/226313599570804736
    - icon: fontawesome/brands/steam
      link: https://steamcommunity.com/id/KURNESAY/

markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - attr_list
  - md_in_html
  - toc:
      permalink: true
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
